Bug 196631 - No sound with acpi
No sound with acpi
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-06-25 23:17 EDT by karl childers
Modified: 2008-05-06 12:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:03:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log from system-config-soundcard (6.79 KB, text/plain)
2006-06-25 23:17 EDT, karl childers
no flags Details

  None (edit)
Description karl childers 2006-06-25 23:17:34 EDT
Description of problem:
Sound will not function if acpi is active.

Platform is Toshiba Satellite P015-S921 laptop.
CPU0: Intel Genuine Intel(R) CPU           T2400  @ 1.83GHz stepping 08
CPU1: Intel Genuine Intel(R) CPU           T2400  @ 1.83GHz stepping 08

Version-Release number of selected component (if applicable):
most recent as of date (1.0.4 ?)

How reproducible:

Steps to Reproduce:
1. Install FC5
2. Boot with acpi=off
3. system-config-sound (play test sound): sound works
4. reboot, but remove acpi=off this time (acpi is on)
5. system-config-sound (play test sound): no sound
Actual results:
Cannot use acpi with sound.
(Note that I list the severity as high.  This is because of potential serious
damage to hardware due to overheating with acpi off and sound working)

Expected results:
Sound with acpi running

Additional info:
Same results for 2.6.16-1.2133_FC5smp (after yum upgrade)

Also installed most recent alsa versions

Problem still remains

Similar to bug 182940 except different hardware
Comment 1 karl childers 2006-06-25 23:17:34 EDT
Created attachment 131514 [details]
log from system-config-soundcard
Comment 2 karl childers 2006-07-17 15:59:10 EDT
Oops: Satellite P105-S921 (typo)
Comment 3 Phil Knirsch 2007-05-16 06:08:07 EDT
That sounds like a kernel problem if you turn of acpi directly in the kernel and
it works then, so reassigning to that component.

Read ya, Phil
Comment 4 Bug Zapper 2008-04-03 23:10:19 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:03:07 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.